<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: my_allocator&lt; T, N &gt;::const_iterator Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="classmy__allocator.html">my_allocator</a></li><li class="navelem"><a class="el" href="classmy__allocator_1_1const__iterator.html">const_iterator</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#friends">Friends</a> &#124;
<a href="classmy__allocator_1_1const__iterator-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">my_allocator&lt; T, N &gt;::const_iterator Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a329d8f7cdba342d91039d4a02ddac820"><td class="memItemLeft" align="right" valign="top"><a id="a329d8f7cdba342d91039d4a02ddac820"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>const_iterator</b> (const int *p)</td></tr>
<tr class="separator:a329d8f7cdba342d91039d4a02ddac820"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2eaeef7c7da2f1aa61e70480f1de9d5d"><td class="memItemLeft" align="right" valign="top"><a id="a2eaeef7c7da2f1aa61e70480f1de9d5d"></a>
const int &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator*</b> () const</td></tr>
<tr class="separator:a2eaeef7c7da2f1aa61e70480f1de9d5d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb067230728c06b08ea3ffde957bb6db"><td class="memItemLeft" align="right" valign="top"><a id="afb067230728c06b08ea3ffde957bb6db"></a>
<a class="el" href="classmy__allocator_1_1const__iterator.html">const_iterator</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator++</b> ()</td></tr>
<tr class="separator:afb067230728c06b08ea3ffde957bb6db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a327908ed9214c67ae1b75cd04ef71b55"><td class="memItemLeft" align="right" valign="top"><a id="a327908ed9214c67ae1b75cd04ef71b55"></a>
<a class="el" href="classmy__allocator_1_1const__iterator.html">const_iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><b>operator++</b> (int)</td></tr>
<tr class="separator:a327908ed9214c67ae1b75cd04ef71b55"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec4d4d77dbf9674c61e15383495d1d09"><td class="memItemLeft" align="right" valign="top"><a id="aec4d4d77dbf9674c61e15383495d1d09"></a>
<a class="el" href="classmy__allocator_1_1const__iterator.html">const_iterator</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator--</b> ()</td></tr>
<tr class="separator:aec4d4d77dbf9674c61e15383495d1d09"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac676d8a01ff8e2afaaaad55967aeac9c"><td class="memItemLeft" align="right" valign="top"><a id="ac676d8a01ff8e2afaaaad55967aeac9c"></a>
<a class="el" href="classmy__allocator_1_1const__iterator.html">const_iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><b>operator--</b> (int)</td></tr>
<tr class="separator:ac676d8a01ff8e2afaaaad55967aeac9c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="friends"></a>
Friends</h2></td></tr>
<tr class="memitem:a772a728ee48f5cb8904aaae842b0eb82"><td class="memItemLeft" align="right" valign="top"><a id="a772a728ee48f5cb8904aaae842b0eb82"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>operator==</b> (const <a class="el" href="classmy__allocator_1_1const__iterator.html">const_iterator</a> &amp;lhs, const <a class="el" href="classmy__allocator_1_1const__iterator.html">const_iterator</a> &amp;rhs)</td></tr>
<tr class="separator:a772a728ee48f5cb8904aaae842b0eb82"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12d66edf831aeec4957931d7f7945d90"><td class="memItemLeft" align="right" valign="top"><a id="a12d66edf831aeec4957931d7f7945d90"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>operator!=</b> (const <a class="el" href="classmy__allocator_1_1const__iterator.html">const_iterator</a> &amp;lhs, const <a class="el" href="classmy__allocator_1_1const__iterator.html">const_iterator</a> &amp;rhs)</td></tr>
<tr class="separator:a12d66edf831aeec4957931d7f7945d90"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="Allocator_8h_source.html">Allocator.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
